Bug 176495 - graphics/povray36 install files not in pkg-plist in /root
Summary: graphics/povray36 install files not in pkg-plist in /root
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Maho Nakata
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-02-28 08:30 UTC by John Marino
Modified: 2013-03-18 01:42 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description John Marino 2013-02-28 08:30:00 UTC
During package building, in which the majority of the world is set to read-only, graphics/povray36 failed to install with the following errors:

Copying user configuration and INI files...
mkdir /root/.povray
mkdir: /root/.povray: Read-only file system
mkdir /root/.povray/3.6
mkdir: /root/.povray: No such file or directory
install: /root/.povray/3.6/povray.conf: No such file or directory
install: /root/.povray/3.6/povray.ini: No such file or directory
gmake[2]: *** [install-data-local] Error 71
gmake[2]: Leaving directory `/wrkdirs/graphics/povray36/work/povray-3.6.1'
gmake[1]: *** [install-am] Error 2
gmake[1]: Leaving directory `/wrkdirs/graphics/povray36/work/povray-3.6.1'
gmake: *** [install-recursive] Error 1
*** Error code 2


First, a package should not be installing in specific user home directories
secondly, these files are not on pkg-plist

Fix: 

I suggest patching the povray36 make to avoid installing these files.
Comment 1 Edwin Groothuis freebsd_committer 2013-02-28 08:30:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->maho

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2013-03-05 03:10:23 UTC
Author: maho
Date: Tue Mar  5 03:10:10 2013
New Revision: 313434
URL: http://svnweb.freebsd.org/changeset/ports/313434

Log:
  Now we do not install files at /root .
  
  PR:             176495
  Spotted by:   John Marino <draco@marino.st>

Added:
  head/graphics/povray36/files/patch-Makefile.in   (contents, props changed)
Modified:
  head/graphics/povray36/Makefile

Modified: head/graphics/povray36/Makefile
==============================================================================
--- head/graphics/povray36/Makefile	Tue Mar  5 03:05:45 2013	(r313433)
+++ head/graphics/povray36/Makefile	Tue Mar  5 03:10:10 2013	(r313434)
@@ -7,7 +7,7 @@
 
 PORTNAME=	povray
 PORTVERSION=	3.6.1
-PORTREVISION=	10
+PORTREVISION=	11
 CATEGORIES=	graphics
 MASTER_SITES=	ftp://ftp.povray.org/pub/povray/%SUBDIR%/ \
 		ftp://ftp.mirrorservice.org/sites/ftp.povray.org/pub/povray/%SUBDIR%/ \

Added: head/graphics/povray36/files/patch-Makefile.in
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/graphics/povray36/files/patch-Makefile.in	Tue Mar  5 03:10:10 2013	(r313434)
@@ -0,0 +1,33 @@
+$FreeBSD$
+
+--- Makefile.in~	2004-08-03 08:20:09.000000000 +0900
++++ Makefile.in	2013-03-05 11:42:15.000000000 +0900
+@@ -813,17 +813,17 @@
+ 	for f in $$filelist ; do \
+ 	  $(INSTALL_DATA) $(top_srcdir)/doc/$$f $(DESTDIR)$(povdocdir)/$$f ; \
+ 	done
+-	@echo "Copying user configuration and INI files..."; \
+-	$(mkinstalldirs) $(povconfuser); \
+-	filelist='povray.conf povray.ini'; \
+-	for f in $$filelist ; do \
+-	  if test -e $(povconfuser)/$$f; then \
+-	    echo "Creating backup of $(povconfuser)/$$f"; \
+-	    mv -f $(povconfuser)/$$f $(povconfuser)/$$f.bak; \
+-	  fi; \
+-	done; \
+-	$(INSTALL_DATA) $(top_srcdir)/povray.conf $(povconfuser)/povray.conf ; \
+-	$(INSTALL_DATA) $(top_builddir)/povray.ini $(povconfuser)/povray.ini
++#	@echo "Copying user configuration and INI files..."; \
++#	$(mkinstalldirs) $(povconfuser); \
++#	filelist='povray.conf povray.ini'; \
++#	for f in $$filelist ; do \
++#	  if test -e $(povconfuser)/$$f; then \
++#	    echo "Creating backup of $(povconfuser)/$$f"; \
++#	    mv -f $(povconfuser)/$$f $(povconfuser)/$$f.bak; \
++#	  fi; \
++#	done; \
++#	$(INSTALL_DATA) $(top_srcdir)/povray.conf $(povconfuser)/povray.conf ; \
++#	$(INSTALL_DATA) $(top_builddir)/povray.ini $(povconfuser)/povray.ini
+ 
+ # For 'make uninstall' we remove the whole POV-Ray data directory.
+ # We have to use uninstall-local and not uninstall-data-local.
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 dfilter service freebsd_committer 2013-03-05 03:10:23 UTC
Author: maho
Date: Tue Mar  5 03:10:10 2013
New Revision: 313434
URL: http://svnweb.freebsd.org/changeset/ports/313434

Log:
  Now we do not install files at /root .
  
  PR:             176495
  Spotted by:   John Marino <draco@marino.st>

Added:
  head/graphics/povray36/files/patch-Makefile.in   (contents, props changed)
Modified:
  head/graphics/povray36/Makefile

Modified: head/graphics/povray36/Makefile
==============================================================================
--- head/graphics/povray36/Makefile	Tue Mar  5 03:05:45 2013	(r313433)
+++ head/graphics/povray36/Makefile	Tue Mar  5 03:10:10 2013	(r313434)
@@ -7,7 +7,7 @@
 
 PORTNAME=	povray
 PORTVERSION=	3.6.1
-PORTREVISION=	10
+PORTREVISION=	11
 CATEGORIES=	graphics
 MASTER_SITES=	ftp://ftp.povray.org/pub/povray/%SUBDIR%/ \
 		ftp://ftp.mirrorservice.org/sites/ftp.povray.org/pub/povray/%SUBDIR%/ \

Added: head/graphics/povray36/files/patch-Makefile.in
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/graphics/povray36/files/patch-Makefile.in	Tue Mar  5 03:10:10 2013	(r313434)
@@ -0,0 +1,33 @@
+$FreeBSD$
+
+--- Makefile.in~	2004-08-03 08:20:09.000000000 +0900
++++ Makefile.in	2013-03-05 11:42:15.000000000 +0900
+@@ -813,17 +813,17 @@
+ 	for f in $$filelist ; do \
+ 	  $(INSTALL_DATA) $(top_srcdir)/doc/$$f $(DESTDIR)$(povdocdir)/$$f ; \
+ 	done
+-	@echo "Copying user configuration and INI files..."; \
+-	$(mkinstalldirs) $(povconfuser); \
+-	filelist='povray.conf povray.ini'; \
+-	for f in $$filelist ; do \
+-	  if test -e $(povconfuser)/$$f; then \
+-	    echo "Creating backup of $(povconfuser)/$$f"; \
+-	    mv -f $(povconfuser)/$$f $(povconfuser)/$$f.bak; \
+-	  fi; \
+-	done; \
+-	$(INSTALL_DATA) $(top_srcdir)/povray.conf $(povconfuser)/povray.conf ; \
+-	$(INSTALL_DATA) $(top_builddir)/povray.ini $(povconfuser)/povray.ini
++#	@echo "Copying user configuration and INI files..."; \
++#	$(mkinstalldirs) $(povconfuser); \
++#	filelist='povray.conf povray.ini'; \
++#	for f in $$filelist ; do \
++#	  if test -e $(povconfuser)/$$f; then \
++#	    echo "Creating backup of $(povconfuser)/$$f"; \
++#	    mv -f $(povconfuser)/$$f $(povconfuser)/$$f.bak; \
++#	  fi; \
++#	done; \
++#	$(INSTALL_DATA) $(top_srcdir)/povray.conf $(povconfuser)/povray.conf ; \
++#	$(INSTALL_DATA) $(top_builddir)/povray.ini $(povconfuser)/povray.ini
+ 
+ # For 'make uninstall' we remove the whole POV-Ray data directory.
+ # We have to use uninstall-local and not uninstall-data-local.
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 John Marino 2013-03-11 20:50:12 UTC
FYI - povray36 now builds successfully in the same environment that was 
used before.

John
Comment 5 Maho Nakata freebsd_committer 2013-03-18 01:41:58 UTC
State Changed
From-To: open->closed

thanks for your report!